function onUse(player, item, fromPosition, target, toPosition, isHotkey)
	if (player:getStorageValue(43345) == 1) then
		player:sendTextMessage(MESSAGE_EVENT_ADVANCE, "You already got you trophy.")
		return true
	end

	player:addItem(7369, 1)
	player:sendTextMessage(MESSAGE_EVENT_ADVANCE, "Congratulations for finishing the Ice Arena! Take this trophy to remember that you are a hero!")
	player:setStorageValue(43345, 1)
	return true
end